package com.zcloud.mapper.datasource.specheck;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

public interface SpeCheckRecordMapper {

    void save(PageData pageData);

    PageData findById(PageData pageData);

    List<PageData> datalistPage(Page page);

    void saveBatch(List<PageData> checkRecordList);

    PageData getRecordInfo(PageData pageData);

    List<PageData> getReportingTask();

    List<PageData> getReportingHidden();

    void saveReportedResult(PageData pageData);

    void changStatusByBatchSql(PageData changeBatchStatus);

    void changebatchStatus(PageData record);

    void edit(PageData checkRecord);

    List<PageData> getCheckRecordByStId(PageData pageData);

}
